Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » Java Development Tools (JDT) » Eclipse IDE for Java Developers Installer Error(Need Urgent Help With Technical Problem)
Eclipse IDE for Java Developers Installer Error [message #1832883] Mon, 28 September 2020 17:16 Go to next message
Thomas Durham is currently offline Thomas DurhamFriend
Messages: 1
Registered: September 2020
Junior Member
Hello,

I am using Eclipse Installer By Oomph & can not complete the download of Eclipse IDE for Java Developers. Every time I run the installer I get an error near the end of the installation. This is an extremely urgent concern as I need this program for my education. I am on a Macbook Pro running the newest version of macOS called Cataline 10.15.7. Java Version 8, update 261. One of my classmates has this version of Java on her mac & she was able to download Eclipse. Please see error details below.

____

[2020-09-28 12:44:06] An error was detected while performing the engine operation and the changes are being rolled back. See the log for details.
[2020-09-28 12:44:06] ERROR: org.eclipse.equinox.p2.engine code=4 An error occurred while installing the items
at org.eclipse.oomph.util.OomphPlugin.coreException(OomphPlugin.java:291)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl$3.commit(ProfileTransactionImpl.java:551)
at org.eclipse.oomph.p2.internal.core.ProfileTransactionImpl.commit(ProfileTransactionImpl.java:343)
at org.eclipse.oomph.setup.p2.impl.P2TaskImpl.perform(P2TaskImpl.java:899)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.doPerformNeededSetupTasks(SetupTaskPerformer.java:3828)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performNeededSetupTasks(SetupTaskPerformer.java:3756)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.performTriggeredSetupTasks(SetupTaskPerformer.java:3737)
at org.eclipse.oomph.setup.internal.core.SetupTaskPerformer.perform(SetupTaskPerformer.java:3630)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.installPerform(SimpleVariablePage.java:1343)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage.access$33(SimpleVariablePage.java:1211)
at org.eclipse.oomph.setup.internal.installer.SimpleVariablePage$20.run(SimpleVariablePage.java:1156)
ERROR: org.eclipse.equinox.p2.engine code=0 session context was:(profile=_Users_thomasdurham_Eclipse_java-2020-09_Eclipse.app_Contents_Eclipse, phase=org.eclipse.equinox.internal.p2.engine.phases.Install, operand=null --> [R]epp.package.java.executable.cocoa.macosx.x86_64 4.17.0.20200910-1200, action=org.eclipse.equinox.internal.p2.touchpoint.natives.actions.ChmodAction).
ERROR: org.eclipse.equinox.p2.touchpoint.natives code=0 The action chmod failed - file /Users/thomasdurham/Eclipse/java-2020-09/Eclipse.app/Contents/MacOS/eclipse does not exist

Help please & thank you. I am stuck & have tried multiple trouble shoot options.
Re: Eclipse IDE for Java Developers Installer Error [message #1832904 is a reply to message #1832883] Tue, 29 September 2020 05:02 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 31828
Registered: July 2009
Senior Member
I've only ever seem problems like this on Windows where virus scanners can block files being moved in the file system while the file is being scanned...

The error message says that /Users/thomasdurham/Eclipse/java-2020-09/Eclipse.app/Contents/MacOS/eclipse doesn't exist. Is that true? If you install again, does the same problem happen?

You can also just download the Java package from here:

https://www.eclipse.org/downloads/packages/


Ed Merks
Professional Support: https://www.macromodeling.com/
Previous Topic:Creating Oracle Connection
Next Topic:Getting External annotations to work
Goto Forum:
  


Current Time: Mon Apr 12 17:07:15 GMT 2021

Powered by FUDForum. Page generated in 0.01585 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top